| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
AnnotFlag Class Reference
PDF » annots

Class with a flag number used to detect permissions. More...

## Public Member Functions
| check (flag)
| Check if the current annotation has the specified flag. More...
| checkHidden ()
| Checks if the current annotation has the flag Annot_Flags.hidden . More...
| checkInvisible ()
| Checks if the current annotation has the flag Annot_Flags.invisible . More...
| checkLocked ()
| Checks if the current annotation has the flag Annot_Flags.locked . More...
| checkLockedContents ()
| Checks if the current annotation has the flag Annot_Flags.lockedContents . More...
| checkNoRotate ()
| Checks if the current annotation has the flag Annot_Flags.noRotate . More...
| checkNoView ()
| Checks if the current annotation has the flag Annot_Flags.noView . More...
| checkNoZoom ()
| Checks if the current annotation has the flag Annot_Flags.noZoom . More...
| checkPrint ()
| Checks if the current annotation has the flag Annot_Flags.print. More...
| checkReadOnly ()
| Checks if the current annotation has the flag Annot_Flags.readOnly . More...
| checkToggleNoView ()
| Checks if the current annotation has the flag Annot_Flags.toggleNoView . More...
| getValue ()
| Obtains the flag number value. More...
| or (flag)
| AnnotFlag values take union. More...

## Detailed Description

Class with a flag number used to detect permissions.

See also
  Annot_Flags

## Member Function Documentation

## ◆ check()

AnnotFlag::check | ( |  | flag | ) |
| inline

Check if the current annotation has the specified flag.

Parameters

  flag | number -

Returns
  boolean -

## ◆ checkHidden()

AnnotFlag::checkHidden | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.hidden .

Returns
  boolean -

## ◆ checkInvisible()

AnnotFlag::checkInvisible | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.invisible .

Returns
  boolean -

## ◆ checkLocked()

AnnotFlag::checkLocked | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.locked .

Returns
  boolean -

## ◆ checkLockedContents()

AnnotFlag::checkLockedContents | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.lockedContents .

Returns
  boolean -

## ◆ checkNoRotate()

AnnotFlag::checkNoRotate | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.noRotate .

Returns
  boolean -

## ◆ checkNoView()

AnnotFlag::checkNoView | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.noView .

Returns
  boolean -

## ◆ checkNoZoom()

AnnotFlag::checkNoZoom | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.noZoom .

Returns
  boolean -

## ◆ checkPrint()

AnnotFlag::checkPrint | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.print.

Returns
  boolean -

## ◆ checkReadOnly()

AnnotFlag::checkReadOnly | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.readOnly .

Returns
  boolean -

## ◆ checkToggleNoView()

AnnotFlag::checkToggleNoView | ( |  | ) |
| inline

Checks if the current annotation has the flag Annot_Flags.toggleNoView .

Returns
  boolean -

## ◆ getValue()

AnnotFlag::getValue | ( |  | ) |
| inline

Obtains the flag number value.

Returns
  number -

See also
  Annot_Flags

## ◆ or()

AnnotFlag::or | ( |  | flag | ) |
| inline

AnnotFlag values take union.

Parameters

  flag | number -

Returns
  AnnotFlag -

@2025 Foxit Software Incorporated. All rights reserved.